routes/web.php
<?php

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();
//===========================Route GET
Route::get('/logout', 'HomeController@logout');
Route::get('/home', 'HomeController@index')->name('home');
Route::post('home/get_pendapatan', 'HomeController@get_pendapatan')->name('pendapatan');
Route::post('home/get_sales', 'HomeController@get_sales')->name('sales');
Route::post('home/get_purchase', 'HomeController@get_purchase')->name('purchase');

Route::get('Bank/datatable', 'BankController@datatable')->name('Bank.datatable');
Route::resource('Bank', 'BankController');
Route::post('Bank/update_data', 'BankController@update_data')->name('Bank.update_data');

Route::get('GroupCOA/datatable', 'GroupCoaController@datatable')->name('GroupCoa.datatable');
Route::resource('GroupCOA', 'GroupCoaController');
Route::post('GroupCOA/update_data', 'GroupCoaController@update_data')->name('GroupCOA.update_data');

Route::get('Coa/datatable', 'CoaController@datatable')->name('Coa.datatable');
Route::resource('Coa', 'CoaController');
Route::post('Coa/update_data', 'CoaController@update_data')->name('Coa.update_data');

Route::get('Matauang/datatable', 'MatauangController@datatable')->name('Matauang.datatable');
Route::get('/Matauang', 'MatauangController@index');
Route::get('/Matauang/tambah_data', 'MatauangController@tambah_data');
Route::get('/Matauang/edit/{id}', 'MatauangController@edit_data');
Route::delete('/Matauang/editstatus/{id}', 'MatauangController@editstatus');

Route::get('Kota/datatable', 'KotaController@datatable')->name('Kota.datatable');
Route::resource('Kota', 'KotaController');
Route::post('Kota/update_data', 'KotaController@update_data')->name('Kota.update_data');

Route::get('Gudang/datatable', 'GudangController@datatable')->name('Gudang.datatable');
Route::resource('Gudang', 'GudangController');
Route::post('Gudang/update_data', 'GudangController@update_data')->name('Gudang.update_data');

Route::get('GroupSupplier/datatable', 'GroupSupplierController@datatable')->name('GroupSupplier.datatable');
Route::resource('GroupSupplier', 'GroupSupplierController');
Route::post('GroupSupplier/update_data', 'GroupSupplierController@update_data')->name('GroupSupplier.update_data');

Route::get('Supplier/datatable', 'SupplierController@datatable')->name('Supplier.datatable');
Route::resource('Supplier', 'SupplierController');
Route::post('Supplier/update_data', 'SupplierController@update_data')->name('Supplier.update_data');

Route::get('GroupCustomer/datatable', 'GroupCustomerController@datatable')->name('GroupCustomer.datatable');
Route::resource('GroupCustomer', 'GroupCustomerController');
Route::post('GroupCustomer/update_data', 'GroupCustomerController@update_data')->name('GroupCustomer.update_data');

Route::get('Customer/datatable', 'CustomerController@datatable')->name('Customer.datatable');
Route::resource('Customer', 'CustomerController');
Route::post('Customer/update_data', 'CustomerController@update_data')->name('Customer.update_data');

Route::get('GroupBarang/datatable', 'GroupBarangController@datatable')->name('GroupBarang.datatable');
Route::get('/GroupBarang', 'GroupbarangController@index');
Route::get('/Groupbarang/tambah_group', 'GroupbarangController@tambah_data');
Route::get('/GroupBarang/edit_group_barang/{id}', 'GroupbarangController@editdata');
Route::delete('/GroupBarang/hapus_group_barang/{id}', 'GroupbarangController@hapusdata');

Route::get('Kategori/datatable', 'KategoriController@datatable')->name('Kategori.datatable');
Route::resource('Kategori', 'KategoriController');
Route::post('Kategori/update_data', 'KategoriController@update_data')->name('Kategori.update_data');

Route::get('Ukuran/datatable', 'UkuranController@datatable')->name('Ukuran.datatable');
Route::resource('Ukuran', 'UkuranController');
Route::post('Ukuran/update_data', 'UkuranController@update_data')->name('Ukuran.update_data');

Route::get('Satuan/datatable', 'SatuanController@datatable')->name('Satuan.datatable');
Route::resource('Satuan', 'SatuanController');
Route::post('Satuan/update_data', 'SatuanController@update_data')->name('Satuan.update_data');

Route::get('Tipe/datatable', 'TipeController@datatable')->name('Tipe.datatable');
Route::resource('Tipe', 'TipeController');
Route::post('Tipe/update_data', 'TipeController@update_data')->name('Tipe.update_data');

Route::get('/Barang', 'BarangController@index');
Route::get('Barang/datatable', 'BarangController@datatable')->name('Barang.datatable');
Route::get('/Barang/create', 'BarangController@create');
Route::get('/Barang/edit_barang/{id}', 'BarangController@update');
Route::delete('/Barang/hapus_barang/{id}', 'BarangController@editstatus');
Route::get('Barang/pencarian', 'BarangController@pencarian');

// Harga Jual //
Route::get('HargaJualBarang/datatable', 'HargaJualBarangController@datatable')->name('HargaJualBarang.datatable');
Route::post('HargaJualBarang/update_data', 'HargaJualBarangController@update_data')->name('HargaJualBarang.update_data');
Route::resource('HargaJualBarang', 'HargaJualBarangController');
Route::post('HargaJualBarang/get_satuan', 'HargaJualBarangController@get_satuan')->name('HargaJualBarang.get_satuan');

Route::get('Po/laporan', 'POController@laporan')->name('Po.laporan');
Route::get('Po/datatable', 'POController@datatable')->name('Po.datatable');
Route::get('Po/datatable_detail', 'POController@datatable_detail')->name('Po.datatable_detail');
Route::get('Po/get_barang', 'POController@get_barang')->name('Po.get_barang');
Route::get('Po/get_satuan', 'POController@get_satuan')->name('Po.get_satuan');
Route::get('Po/get_harga_jual', 'POController@get_harga_jual')->name('Po.get_harga_jual');
Route::get('Po/laporan_po', 'POController@laporan_po')->name('Po.laporan_po');
Route::resource('Po', 'POController');
Route::post('Po/number_so', 'POController@number_so')->name('Po.number');
Route::post('Po/get_coa', 'POController@get_coa')->name('Po.get_coa');
Route::post('Po/update_data', 'POController@update_data')->name('Po.update_data');
Route::get('Po/detail/{id}', 'POController@detail')->name('Po.detail');
Route::get('Po/print/{id}', 'POController@print')->name('Po.print');

// PENERIMAAN BARANG //
Route::get('PenerimaanBarang/datatable_detail', 'PenerimaanBarangController@datatable_detail')->name('PenerimaanBarang.datatable_detail');
Route::get('PenerimaanBarang/datatable_laporan', 'PenerimaanBarangController@datatable_laporan')->name('PenerimaanBarang.datatable_laporan');
Route::get('PenerimaanBarang/datatable', 'PenerimaanBarangController@datatable')->name('PenerimaanBarang.datatable');
Route::get('PenerimaanBarang/get_purchase_order_detail', 'PenerimaanBarangController@get_purchase_order_detail')->name('PenerimaanBarang.purchase_order_detail');
Route::get('Laporan_penerimaan_barang/index', 'PenerimaanBarangController@laporan')->name('PenerimaanBarang.laporan');
Route::resource('PenerimaanBarang', 'PenerimaanBarangController');
Route::post('PenerimaanBarang/get_purchase_order', 'PenerimaanBarangController@get_purchase_order')->name('PenerimaanBarang.purchase_order');
Route::get('PenerimaanBarang/detail/{id}', 'PenerimaanBarangController@detail')->name('PenerimaanBarang.detail');
Route::get('PenerimaanBarang/print/{id}', 'PenerimaanBarangController@print')->name('PenerimaanBarang.print');
Route::post('PenerimaanBarang/update_data', 'PenerimaanBarangController@update_data')->name('PenerimaanBarang.update_data');

// INVOICE PEMBELIAN //
Route::get('InvoicePembelian/laporan', 'InvoicePembelianController@laporan')->name('InvoicePembelian.laporan');
Route::get('InvoicePembelian/datatable', 'InvoicePembelianController@datatable')->name('InvoicePembelian.datatable');
Route::get('InvoicePembelian/datatable_detail', 'InvoicePembelianController@datatable_detail')->name('InvoicePembelian.datatable_detail');
Route::get('InvoicePembelian/get_penerimaan_barang_detail', 'InvoicePembelianController@get_penerimaan_barang_detail')->name('InvoicePembelian.penerimaan_barang_detail');
Route::get('InvoicePembelian/laporan_invoice', 'InvoicePembelianController@laporan_invoice')->name('InvoicePembelian.laporan_invoice');
Route::get('InvoicePembelian/datatable_laporan', 'InvoicePembelianController@datatable_laporan')->name('InvoicePembelian.datatable_laporan');
Route::resource('InvoicePembelian', 'InvoicePembelianController');
Route::post('InvoicePembelian/number_invoice', 'InvoicePembelianController@number_invoice')->name('InvoicePembelian.number');
Route::post('InvoicePembelian/get_penerimaan_barang', 'InvoicePembelianController@get_penerimaan_barang')->name('InvoicePembelian.penerimaan_barang');
// Route::get('InvoicePembelian/detail/{id}', 'InvoicePembelianController@detail')->name('InvoicePembelian.detail');
Route::get('InvoicePembelian/print/{id}', 'InvoicePembelianController@print')->name('InvoicePembelian.print');
Route::post('InvoicePembelian/get_coa', 'InvoicePembelianController@get_coa')->name('InvoicePembelian.get_coa');
Route::post('InvoicePembelian/update_data', 'InvoicePembelianController@update_data')->name('InvoicePembelian.update_data');
Route::get('InvoicePembelian/get_barang', 'InvoicePembelianController@get_barang')->name('InvoicePembelian.get_barang');
Route::get('InvoicePembelian/get_satuan', 'InvoicePembelianController@get_satuan')->name('InvoicePembelian.get_satuan');
Route::get('InvoicePembelian/get_harga_jual', 'InvoicePembelianController@get_harga_jual')->name('InvoicePembelian.get_harga_jual');
Route::get('/InvoicePembelian/show/{id}', 'InvoicepembelianController@showdata');

Route::get('ReturPembelian/get_pembelian', 'ReturPembelianController@get_pembelian')->name('ReturPembelian.get_pembelian');
Route::get('ReturPembelian/laporan', 'ReturPembelianController@index')->name('ReturPembelian.laporan');
Route::get('ReturPembelian/datatable', 'ReturPembelianController@datatable')->name('ReturPembelian.datatable');

resources/views/coa_group/create.blade.php
@extends('layouts.app')   
@section('content')
  <div class="main-grid">
    <div class="banner">
         <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url('GroupCOA')}}">Data Group Coa</a>
                <i class="fa fa-angle-right"></i>
                <a href="#">Tambah Data Group COA</a>
        </h2>
    </div>
    <br>
    <div class="banner text-center" style="font-size: 14px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">
      <span>Tambah Data Group COA</span>
    </div>
    <div class="banner">
      <form id="form-data">
        <div class="container">
        <br><br>
          <div class="col-md-3">
            <label class="judul">Kode Group COA</label>
          </div>
          <div class="col-md-9">
            <input type="number" class="form-control" name="Kode_Group_COA" id="Kode_Group_COA" required oninvalid="this.setCustomValidity('Kode Group COA Tidak Boleh Kosong')" oninput="setCustomValidity('')" onkeyup="javascript:this.value=this.value.toUpperCase();">
            <br><br>
          </div>
          <div class="col-md-3">
            <label class="judul">Nama Group COA</label>
          </div>
          <div class="col-md-9">
            <input type="text" class="form-control" name="Nama_Group" id="Nama_Group" required oninvalid="this.setCustomValidity('Nama Group COA Tidak Boleh Kosong')" oninput="setCustomValidity('')" onkeyup="javascript:this.value=this.value.toUpperCase();">
            <br><br>
          </div>
          <div class="col-md-3">
              <label class="judul">Normal Balance</label>
          </div>
          <div class="col-md-9">
              <select data-placeholder="Pilih Normal Balance" name="Normal_Balance" id="Normal_Balance" required oninvalid="this.setCustomValidity('Normal Balanc Tidak Boleh Kosong')" oninput="setCustomValidity('')" style="width:100%;" class="chosen-select" tabindex="13">
                  <option value=""></option>
                  <option value="debet">Debet</option>
                  <option value="kredit">Kredit</option>
              </select>
          </div>
        </div>
        <div class="col-md-9">
        </div>
        <br><br><br>
        <div class="text-center">
          <div class="btn col-11 hvr-icon-back">
            <span> <a style="color: white;" href="{{url('GroupCOA')}}" name="simpan">Kembali</a></span>
          </div>
          <div class="btn">
              <button type="submit" class="btn btn-success hvr-icon-float-away"> Simpan </button>
          </div>
        </div>  
      </form>
    </div>
  </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>

<script>
  var urlIndex            = '{{ url("GroupCOA") }}';
  var urlInsert           = '{{ route("GroupCOA.store") }}';
  var url                 = '{{ url("GroupCOA") }}';
</script>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/coa_group/create.js') }}"></script>
@endsection 

resources/views/coa_group/index.blade.php
@extends('layouts.app')   
@section('content')
<style>
    span a .fa {
        cursor: pointer;
        padding: 5px;
    }
</style>
<div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url ('home') }}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url ('GroupCOA') }}">Data Group Coa</a>
        </h2>
    </div>
    <br>
    <div class="banner container">
            <div class="form_grid_3">
                <div class="btn btn-primary hvr-icon-float-away">
                    <a href="{{route('GroupCOA.create') }}"><span style="color: white;">Tambah Data&nbsp;&nbsp;</span></a>
                </div>
            </div>
            <br>
            <div class="col-md-3">
                <div class="form_grid_2">
                    <label>.</label><br>
                    <select data-placeholder="Cari Berdasarkan" name="field" id="field" style="width: 100%!important" class="chosen-select" tabindex="13">
                        <option value=""></option>
                        <option value="Kode_Group_COA">Kode Group COA</option>
                        <option value="Nama_Group">Group COA</option>
                        <option value="Normal_Balance">Normal Balance</option>
                    </select>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form_grid_2">
                    <label class="field_title mt-dot2">.</label>
                    <input name="keyword" id="keyword" onkeyup="javascript:this.value=this.value.toUpperCase();" type="tex" class="form-control">
                </div>
            </div>
            <div class="col-md-3">
                <div class="form_grid_2">
                    <label>&nbsp;.</label>
                    <br>
                    <button class="btn btn-primary" id="cari-data"><i class="fa fa-search"></i>&nbsp;Search</button>
                </div>                
            </div>
    </div>
    <br>
    <div class="banner">
        <table id="table-data" class="table cell-border" width="100%" style="background-color: #254283; font-size: 12px; margin-top: 5px;">
            <thead style="color: #fff">
                <tr>
                    <th>No</th>
                    <th>Kode Group COA</th>
                    <th>Group COA</th>
                    <th>Normal Balance</th>
                    <th>Aktif</th>
                    <th>Aksi</th>
                </tr>
            </thead>
 
        </table>
    </div>
</div>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/coa_group/index.js') }}"></script>
<script>
    var urlData = '{{ route("GroupCoa.datatable") }}';
    var url                 = '{{ url("GroupCOA") }}';
</script>

@endsection 

resources/views/coa_group/update.blade.php
@extends('layouts.app')   
@section('content')
  <div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url ('home') }}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url ('GroupCOA') }}">Data Group Coa</a>
                <i class="fa fa-angle-right"></i>
                <a href="#">Edit Data Group COA</a>
        </h2>
    </div>
    <br>
    <div class="banner text-center" style="font-size: 14px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">
      <span>Tambah Data Group COA</span>
    </div>
    <div class="banner">
      <form id="form-data">
        <div class="container">
        <br><br>
        <input type="hidden" name="IDGroupCOA" id="IDGroupCOA" value="<?php echo $group_coa->IDGroupCOA ?>">
          <div class="col-md-3">
            <label class="judul">Kode Group COA</label>
          </div>
          <div class="col-md-9">
            <input type="number" class="form-control" name="Kode_Group_COA" id="Kode_Group_COA" required oninvalid="this.setCustomValidity('Kode Group COA Tidak Boleh Kosong')" oninput="setCustomValidity('')" onkeyup="javascript:this.value=this.value.toUpperCase();" value="<?php echo $group_coa->Kode_Group_COA ?>">
            <br><br>
          </div>
          <div class="col-md-3">
            <label class="judul">Nama Group COA</label>
          </div>
          <div class="col-md-9">
            <input type="text" class="form-control" name="Nama_Group" id="Nama_Group" required oninvalid="this.setCustomValidity('Nama Group COA Tidak Boleh Kosong')" oninput="setCustomValidity('')" onkeyup="javascript:this.value=this.value.toUpperCase();" value="<?php echo $group_coa->Nama_Group ?>">
            <br><br>
          </div>
          <div class="col-md-3">
              <label class="judul">Normal Balance</label>
          </div>
          <div class="col-md-9">
              <select data-placeholder="Pilih Normal Balance" name="Normal_Balance" id="Normal_Balance" required oninvalid="this.setCustomValidity('Normal Balanc Tidak Boleh Kosong')" oninput="setCustomValidity('')" style="width:100%;" class="chosen-select" tabindex="13">
                  <option value=""></option>
                  <option value="debet" {{ ($group_coa->Normal_Balance == 'debet') ? 'selected' : '' }}>Debet</option>
                  <option value="kredit" {{ ($group_coa->Normal_Balance == 'kredit') ? 'selected' : '' }}>Kredit</option>
              </select>
          </div>
        </div>
        <div class="col-md-9">
        </div>
        <br><br><br>
        <div class="text-center">
          <div class="btn col-11 hvr-icon-back">
            <span> <a style="color: white;" href="{{url('GroupCOA')}}" name="simpan">Kembali</a></span>
          </div>
          <div class="btn">
              <button type="submit" class="btn btn-success hvr-icon-float-away"> Simpan </button>
          </div>
        </div>  
      </form>
    </div>
  </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>

<script>
  var urlIndex            = '{{ url("GroupCOA") }}';
  var urlUpdate           = '{{ route("GroupCOA.update_data") }}';
  var url                 = '{{ url("GroupCOA") }}';
</script>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/coa_group/update.js') }}"></script>
@endsection 